OCF_Functions(3pm)

NAME
OCF_Functions - helper subroutines for OCF agent

SYNOPSIS
  use FindBin;
  use lib "$FindBin::RealBin/../../lib/heartbeat/";

  use OCF_Functions;

DESCRIPTION
This module has been ported from the ocf-shellfuncs shell script of the resource-agents project. See <https://github.com/ClusterLabs/resource-agents/>.

VARIABLE
The only variable exported by this module is "__OCF_ACTION".

SUBROUTINES
Here are the subroutines ported from ocf-shellfuncs and exported by this module:

ha_debug
ha_log
hadate
ocf_is_clone
ocf_is_ms
ocf_is_probe
ocf_is_root
ocf_is_true
ocf_is_ver
ocf_local_nodename
ocf_log
ocf_exit_reason
ocf_maybe_random
ocf_ver2num
ocf_ver_complete_level
ocf_ver_level
ocf_version_cmp
set_logtag

Here are the subroutines only existing in the perl module but not in the ocf-shellfuncs script:

ocf_notify_env

COPYRIGHT AND LICENSE
Copyright (C) 2016: Jehan-Guillaume de Rorthais and Mael Rimbault.

Licensed under the PostgreSQL License.